### Class

# GtkSource StyleScheme

#### Description [src]

    final class GtkSource.StyleScheme : GObject.Object
    {
      /* No available fields */
    }

Controls the appearance of `GtkSourceView`.

`GtkSourceStyleScheme` contains all the text styles to be used in `GtkSourceView` and `GtkSourceBuffer`. For instance, it contains text styles for syntax highlighting, it may contain foreground and background color for non-highlighted text, color for the line numbers, current line highlighting, bracket matching, etc.

Style schemes are stored in XML files. The format of a scheme file is documented in the style scheme reference.

The two style schemes with IDs “classic” and “tango” follow more closely the GTK theme (for example for the background color).

#### Ancestors

- GObject

#### Instance methods

###### gtk_source_style_scheme_get_authors

No description available.

###### gtk_source_style_scheme_get_description

No description available.

###### gtk_source_style_scheme_get_filename

No description available.

###### gtk_source_style_scheme_get_id

No description available.

###### gtk_source_style_scheme_get_metadata

Gets a metadata property from the style scheme.

since: 5.4

###### gtk_source_style_scheme_get_name

No description available.

###### gtk_source_style_scheme_get_style

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.StyleScheme:description

Style scheme description, a translatable string to present to the user.

###### GtkSource.StyleScheme:filename

Style scheme filename or `NULL`.

###### GtkSource.StyleScheme:id

Style scheme id, a unique string used to identify the style scheme in `GtkSourceStyleSchemeManager`.

###### GtkSource.StyleScheme:name

Style scheme name, a translatable string to present to the user.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceStyleSchemeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.